 
/*
  -5V = 5V (3.3V is allowed)
  -GND = GND
  -SDA = A2 (or SDA) A4 on Uno
  -SCL = A3 (or SCL) A5 on Uno
  -INT = Not connected

  Tip: Program the Pro Micro as Arduino Micro not as Sparkfun Pro Micro
*/
#include <Wire.h>
#include "MAX30105.h"           //MAX3010x library
#include "heartRate.h"          //Heart rate calculating algorithm
#include "FastLED.h"

MAX30105 particleSensor;

#define NUM_LEDS 3
#define DATA_PIN 4
CRGB leds[NUM_LEDS];

void setup() {  
  
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
  // Note: If your LEDs blink in the order Green, Red, Blue instead of RGB, uncomment this line and comment out the line above
  //FastLED.addLeds<WS2811, DATA_PIN, GRB>(leds, NUM_LEDS);

  FastLED.setBrightness(64);
 
  // Initialize sensor
  particleSensor.begin(Wire, I2C_SPEED_FAST); //Use default I2C port, 400kHz speed
  particleSensor.setup(); //Configure sensor with default settings
}

void loop() {
  leds[0] = CRGB(255,0,0);
  leds[1] = CRGB(0,255,0);
  leds[2] = CRGB(0,0,255);
  FastLED.show(); 
  particleSensor.setLEDMode(3);
  delay(500);
  lightsOff();
  particleSensor.setLEDMode(1);
  delay(200);
}

void lightsOff(){
  for (int i=0;i<NUM_LEDS;i++){
    leds[i] = CRGB(0,0,0);
  }
  FastLED.show(); 
}